(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// stage content:
(lib.hiraganaDO = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 3
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CCCCCC").s().p("AgegFQgLgQAQAFQAeAGAeAKQgLAHgPAIIgFADQgPgNgTgKg");
	this.shape.setTransform(103.5,24.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#CCCCCC").s().p("AhFgjQgLgQAQAFQBMAOA/AoQgJAWgkARIgCABQgkgvg9gkg");
	this.shape_1.setTransform(107.4,27.4);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CCCCCC").s().p("AAuBQIAAgBQgmhThjg/QgKgQAQAFQBYAQBFA1QAOAKAKAOQAAAagDALQgJAcgeAAIgIAAg");
	this.shape_2.setTransform(109.6,30.6);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#CCCCCC").s().p("AAjBBQgjhThlg/QgLgQAQAFQBbAQBDA1QAgAZAKAlQALAqggALQgHACgHAAQgVAAgNgdg");
	this.shape_3.setTransform(110.6,32);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#CCCCCC").s().p("AAjBuQgjhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgHAAQgVAAgNgegAAjh/QgLgQAQAGQAeAFAbAJQgKALgRAJQgQgMgTgMg");
	this.shape_4.setTransform(110.6,27.5);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#CCCCCC").s().p("AAABuQglhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgGAAQgWAAgLgegAAAh/QgLgQAOAGQBPAOA+ApQgNATgZAPIgOABQglgsg3gkg");
	this.shape_5.setTransform(114.3,27.5);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CCCCCC").s().p("AgbBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgGAAQgUAAgNgegAB3ADQgLgDgKAAQgnhHhWg4QgLgQAQAGQBZAQBFA1QAWATAMAYIgDAKQgMAYgTAAIgRgGg");
	this.shape_6.setTransform(117,27.5);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#CCCCCC").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_7.setTransform(117.5,27.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[]},20).to({state:[{t:this.shape}]},1).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},3).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).wait(1));

	// Layer 2
	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#666666").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_8.setTransform(117.5,27.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_8}]}).to({state:[{t:this.shape_8}]},20).to({state:[{t:this.shape_8}]},9).wait(2));

	// Layer 1 copy 3
	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#CCCCCC").s().p("AAAAAIAAAAIAAAAg");
	this.shape_9.setTransform(58.8,36.5);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CCCCCC").s().p("AAtBAIAAgBIAAABgAgigoQgVgKAVgLQAggEAcAFQgDATgJASQgSgRgeAAg");
	this.shape_10.setTransform(54.2,30.1);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#CCCCCC").s().p("AAiBAIAAgBIAAABgAANgNIgBAAQgTgbgmAAQgVgKAVgLQA1gGAwATIABAHQAAAfgVAKIgXgNg");
	this.shape_11.setTransform(55.3,30.1);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#CCCCCC").s().p("AgCBAIAAgBIAAABgAgXgNIgBAAQgVgbgmAAQgVgKAVgLQBYgKBLA6QAaATgUAVQgEACgEAAQgcAAhJgqg");
	this.shape_12.setTransform(59.1,30.1);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#CCCCCC").s().p("AADB5QgDgbAAgeIAAgnIgBgBQgDhAgFgNQgVg2g1AAQgVgKAVgLQBYgKBLA6QAaAVgVAWQgPAOgBApIAAAGIAAALIAABQIgMAGQgTAKgKAAQgHAAgSgKg");
	this.shape_13.setTransform(59.1,36.8);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#CCCCCC").s().p("AAAgCIAAgoIgBAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBYgLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAABwQAABAAOAdQgKAWgRADQg4hKAAh/g");
	this.shape_14.setTransform(59.1,43.6);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CCCCCC").s().p("AA/DHIgDgBQg8hLAAiFIAAgnIgBgBQgDhCgFgNQgVg2g2AAQgVgKAVgLQBZgKBKA6QAbAVgWAWQgPAOgBArIAAAGIAAALIAABwQAABYAaAXIABAHQABAQgNAAQgFAAgPgIg");
	this.shape_15.setTransform(59.2,44.4);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#CCCCCC").s().p("Ah2DHIgCgBQg+hLAAiFIAAgnIgCgBQgDhCgFgNQgVg2g2AAQgVgKAVgLQBbgKBKA6QAbAVgWAWQgPAOgBArIAAAGIAAALIAABwQAABYAaAXIABAHQABAQgNAAQgFAAgPgIgADjAIQgLgIgRgKQgVgLAagFQAtAEAdAWQgIAFgPAFIgcgCg");
	this.shape_16.setTransform(77.5,44.4);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#CCCCCC").s().p("AiUDHIgCgBQg9hLAAiFIAAgnIgDgBQgDhCgFgNQgVg2g1AAQgVgKAVgLQBagKBLA6QAaAVgVAWQgPAOgBArIAAAGIAAALIAABwQAABYAaAXIABAHQAAAQgNAAQgFAAgPgIgACkB1QgXgNgLgMIA9gTQAqgLgagqQgLgQgbgOQgVgLAbgFQA/AFAgApQAmAwAAAgQAAAagrAAIhIAQQgHgMgWgNg");
	this.shape_17.setTransform(80.4,44.4);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#CCCCCC").s().p("AiUDHIgCgBQg9hLAAiFIAAgnIgDgBQgDhCgFgNQgVg2g1AAQgVgKAVgLQBagKBLA6QAaAVgVAWQgPAOgBArIAAAGIAAALIAABwQAABYAaAXIABAHQAAAQgNAAQgFAAgPgIgAgYDBQgWgNgLgUQB4gxCAgmQAqgLgagqQgLgQgbgOQgVgLAbgFQA/AFAgApQAmAwAAAgQAAAagrAAQiaAfh9AuQgDgGgHgEg");
	this.shape_18.setTransform(80.4,44.4);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#CCCCCC").s().p("AjWDwQgRgIgHgSQAqgcAxgaQhAhLAAiIIAAgnIgDgBQgDhCgFgNQgVg2g1AAQgVgKAVgLQBagKBLA6QAaAVgVAWQgPAOgBArIAAAGIAAALIAABwQAABaAbAWQCShACggwQAqgLgagoQgLgQgbgQQgVgLAbgFQA/AFAgArQAmAuAAAgQAAAagrAAQjqAwioBQQgjARgfARQgFgEgGgDg");
	this.shape_19.setTransform(80.4,48.5);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#CCCCCC").s().p("AloEoQAUggAhgeQBVhQCAhFQhAhKAAiIIAAgoIgDAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBagLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAAByQAABYAbAVQCShACggtQAqgLgagrQgLgQgbgPQgVgLAbgFQA/AFAgAqQAmAwAAAgQAAAZgrAAQjqAvioBQQiPBFhLBQQgPARgLASQgQgMgQgOg");
	this.shape_20.setTransform(75.1,55.9);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#CCCCCC").s().p("Ak9GTQg7g7AAhKQAAhVBVhQQBVhPCAhDQhAhLAAiKIAAgnIgDgBQgDhCgFgNQgVg2g1AAQgVgKAVgLQBagKBLA6QAaAVgVAWQgPAOgBArIAAAGIAAALIAAByQAABaAbAWQCShACggwQAqgLgagqQgLgQgbgQQgVgLAbgFQA/AFAgArQAmAwAAAgQAAAagrAAQjqAwioBOQiPBFhLBPQgvA2AAA1QAABiBnApQgDAdgNAQIgBABQgqgTgcgcg");
	this.shape_21.setTransform(73.5,68.8);

	this.shape_22 = new cjs.Shape();
	this.shape_22.graphics.f("#CCCCCC").s().p("Ai4HFIDaAAIjaAAQhVgVgwgwQg7g6AAhLQAAhVBVhPQBVhQCAhDQhAhKAAiKIAAgoIgDAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBagLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAAByQAABaAbAVQCShACggvQAqgLgagrQgLgQgbgPQgVgLAbgFQA/AFAgAqQAmAwAAAgQAAAbgrAAQjqAvioBQQiPBDhLBQQgvA1AAA1QAABwCEAlQA6APCtABIAJAbIgFAPIgIAQIg5AAQhXAAhCgQg");
	this.shape_22.setTransform(73.5,70.6);

	this.shape_23 = new cjs.Shape();
	this.shape_23.graphics.f("#CCCCCC").s().p("Ai4HFIHMAAIABAGQhnAKjNAAQhXAAhCgQgAi4HFQhVgVgwgwQg7g6AAhLQAAhVBVhPQBVhQCAhDQhAhKAAiKIAAgoIgDAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBagLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAAByQAABaAbAVQCShACggvQAqgLgagrQgLgQgbgPQgVgLAbgFQA/AFAgAqQAmAwAAAgQAAAbgrAAQjqAvioBQQiPBDhLBQQgvA1AAA1QAABwCEAlQA7AQCtAAQCaAABAgVIAJgEQARAdABAmg");
	this.shape_23.setTransform(73.5,70.6);

	this.shape_24 = new cjs.Shape();
	this.shape_24.graphics.f("#CCCCCC").s().p("Ai4HFIH7AAIn7AAQhVgVgwgwQg7g6AAhLQAAhVBVhPQBVhQCAhDQhAhKAAiKIAAgoIgDAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBagLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAAByQAABaAbAVQCShACggvQAqgLgagrQgLgQgbgPQgVgLAbgFQA/AFAgAqQAmAwAAAgQAAAbgrAAQjqAvioBQQiPBDhLBQQgvA1AAA1QAABwCEAlQA7AQCtAAQCaAABAgVQA6gWAbAWQAVAQAAAVQAAAVggAFQhfAQkDAAQhXAAhCgQg");
	this.shape_24.setTransform(73.5,70.6);

	this.shape_25 = new cjs.Shape();
	this.shape_25.graphics.f("#CCCCCC").s().p("Ai4HFQhVgVgwgwQg7g6AAhLQAAhVBVhPQBVhQCAhDQhAhKAAiKIAAgoIgDAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBagLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAAByQAABaAbAVQCShACggvQAqgLgagrQgLgQgbgPQgVgLAbgFQA/AFAgAqQAmAwAAAgQAAAbgrAAQjqAvioBQQiPBDhLBQQgvA1AAA1QAABwCEAlQA7AQCtAAQCaAABAgVQA6gWAbAWQAVAQAAAVQAAAVggAFIn7AAIH7AAQhfAQkDAAQhXAAhCgQg");
	this.shape_25.setTransform(73.5,70.6);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_9}]}).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},1).to({state:[{t:this.shape_16}]},5).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).to({state:[{t:this.shape_19}]},1).to({state:[{t:this.shape_20}]},1).to({state:[{t:this.shape_21}]},1).to({state:[{t:this.shape_22}]},1).to({state:[{t:this.shape_23}]},1).to({state:[{t:this.shape_24}]},1).to({state:[{t:this.shape_25}]},11).wait(1));

	// Layer 1 copy 2
	this.shape_26 = new cjs.Shape();
	this.shape_26.graphics.f("#666666").s().p("Ak9GAQg7g6AAhLQAAhVBVhPQBVhQCAhDQhAhKAAiKIAAgoIgDAAQgDhDgFgNQgVg1g1AAQgVgLAVgKQBagLBLA7QAaAVgVAVQgPAPgBAqIAAAHIAAALIAAByQAABaAbAVQCShACggvQAqgLgagrQgLgQgbgPQgVgLAbgFQA/AFAgAqQAmAwAAAgQAAAbgrAAQjqAvioBQQiPBDhLBQQgvA1AAA1QAABwCEAlQA7AQCtAAQCaAABAgVQA6gWAbAWQAVAQAAAVQAAAVggAFQhfAQkDAAQjJAAhVhVg");
	this.shape_26.setTransform(73.5,70.6);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_26}]}).to({state:[{t:this.shape_26}]},19).to({state:[]},1).wait(11));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(35.8,13.5,99.4,104.2);


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,320,240);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;